#include "stm32f7xx.h"
#include "uart.h"
#include "stdlib.h"
#include "adc_dma.h"
uint16_t data[2];

volatile int finished;
int main()
	{
	 SCB->CPACR |= ((3UL << 10*2)|(3UL << 11*2));
	 RCC->AHB1ENR|=RCC_AHB1ENR_GPIOBEN;
	GPIOB->MODER|=GPIO_MODER_MODER7_0;
	GPIOB->MODER&=~GPIO_MODER_MODER7_1;
	SCB_EnableDCache();
	SCB_EnableICache();
	uart3_tx_init();
	printf("uart is ready\r\n");
	adc_dma_2ch_timer_init();
	while(1)
		{
			if(finished==1)
				{
					finished=0;
					data[0]=ReadChannel(A0);
					data[1]=ReadChannel(A1);
					printf("ADC values A0=%d, A1=%d\r\n",data[0],data[1]);

				}
		}

	}
void DMA2_Stream0_IRQHandler(void)
		{

		if(((DMA2->LISR)&DMA_LISR_TCIF0))
				{
				finished=1;
				GPIOB->ODR^=GPIO_ODR_OD7;
				DMA2->LIFCR=DMA_LIFCR_CTCIF0;
				}
		NVIC_ClearPendingIRQ(DMA2_Stream0_IRQn);
		}
